#!/usr/bin/env python

import os,sys
import BulkLoader
import TraceParser 
import PostProcessor

app_home='.'
datadir = '%s/data' % app_home


module_search_path=['%s/db' % app_home]
# then add that module to the path

for p in module_search_path:
    pabs = os.path.abspath(p)

    if os.path.exists(pabs):
        sys.path.append(pabs)


if __name__ == "__main__":

    if len(sys.argv) < 2:
        print "usage: %s <full path to config>" % sys.argv[0]
        sys.exit(1)
    else:
        cfgfile = sys.argv[1]


    print "running traceparser"
    parser = TraceParser.Parser(cfgfile)
    parser.process()

    print "running bulkloader"
    myloader = BulkLoader.Loader(cfgfile)
    myloader.process()

    print "running postprocessing"
    pproc = PostProcessor.Processor(cfgfile)
    pproc.processTraceList()
